var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { /*Map,*/GoogleApiWrapper, InfoWindow, Marker } from 'google-maps-react';
/* Referenced: https://www.digitalocean.com/community/tutorials/how-to-integrate-the-google-maps-api-into-react-applications*/
import CurrentLocation from './Map';
// const mapStyles = {
//   width: '100%',
//   height: '100%'
// };

var googleApiKey = 'AIzaSyDwezB2D68_sOrVFtgY6n1qqUMDTOmBGDw';

export var MapContainer = function (_Component) {
  _inherits(MapContainer, _Component);

  function MapContainer() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, MapContainer);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = MapContainer.__proto__ || Object.getPrototypeOf(MapContainer)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      showingInfoWindow: false, // Hide InfoWindow
      activeMarker: {},
      selectedPlace: {}
    }, _this.onMarkerClick = function (props, marker, e) {
      return _this.setState({
        selectPlace: props,
        activeMarker: marker,
        showingInfoWindow: true
      });
    }, _this.onClose = function (props) {
      if (_this.state.showingInfoWindow) {
        _this.setState({
          showingInfoWindow: false,
          activeMarker: null
        });
      }
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(MapContainer, [{
    key: 'render',
    value: function render() {
      return React.createElement(
        CurrentLocation,
        {
          centerAroundCurrentLocation: true,
          google: this.props.google
        },
        React.createElement(Marker, { onClick: this.onMarkerClick, name: 'Current Location' }),
        React.createElement(
          InfoWindow,
          {
            marker: this.state.activeMarker,
            visible: this.state.showingInfoWindow,
            onClose: this.onClose
          },
          React.createElement(
            'div',
            null,
            React.createElement(
              'h4',
              null,
              this.state.selectedPlace.name
            )
          )
        )
      );
    }
  }]);

  return MapContainer;
}(Component);
export default GoogleApiWrapper({
  apiKey: googleApiKey
})(MapContainer);